Очередь обращений CRM
/api/v1/developer/crm/ticketsВозвращает страницу workflow/SLA-сводок доступного проекту модуля обращений без связей, переписки, оценки и ответственного.
Право доступаcrm.tickets.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
statusнеобязательно · querystringenum: ["open","pending","resolved","closed"]JSON Schema
{ "type": "string", "enum": [ "open", "pending", "resolved", "closed" ] }priorityнеобязательно · querystringenum: ["low","normal","high","urgent"]JSON Schema
{ "type": "string", "enum": [ "low", "normal", "high", "urgent" ] }limitнеобязательно · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursorнеобязательно · querystringminLength: 1 · maxLength: 512JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 512 }
Примеры запроса
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tickets?status=open&limit=50' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Paginated CRM ticket workflow summaries
application/jsonobject
ticketsобязательно- arraymaxItems: 100
Вложенная схема
arraymaxItems: 100objectidобязательно- stringminLength: 1 · maxLength: 160
titleобязательно- stringminLength: 1 · maxLength: 200
categoryобязательно- string | nullminLength: 1 · maxLength: 80
priorityобязательно- stringenum: ["low","normal","high","urgent"]
statusобязательно- stringenum: ["open","pending","resolved","closed"]
firstResponseDueAtобязательно- stringformat: "date-time"
resolutionDueAtобязательно- stringformat: "date-time"
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1, "maxLength": 200 }, "category": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 80 }, "priority": { "type": "string", "enum": [ "low", "normal", "high", "urgent" ] }, "status": { "type": "string", "enum": [ "open", "pending", "resolved", "closed" ] }, "firstResponseDueAt": { "type": "string", "format": "date-time" }, "resolutionDueAt": { "type": "string", "format": "date-time" }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "title", "category", "priority", "status", "firstResponseDueAt", "resolutionDueAt", "createdAt", "updatedAt" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1, "maxLength": 200 }, "category": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 80 }, "priority": { "type": "string", "enum": [ "low", "normal", "high", "urgent" ] }, "status": { "type": "string", "enum": [ "open", "pending", "resolved", "closed" ] }, "firstResponseDueAt": { "type": "string", "format": "date-time" }, "resolutionDueAt": { "type": "string", "format": "date-time" }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "title", "category", "priority", "status", "firstResponseDueAt", "resolutionDueAt", "createdAt", "updatedAt" ], "additionalProperties": false }, "maxItems": 100 } nextCursorобязательно- string | null
JSON Schema
{
"type": "object",
"properties": {
"tickets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"category": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 80
},
"priority": {
"type": "string",
"enum": [
"low",
"normal",
"high",
"urgent"
]
},
"status": {
"type": "string",
"enum": [
"open",
"pending",
"resolved",
"closed"
]
},
"firstResponseDueAt": {
"type": "string",
"format": "date-time"
},
"resolutionDueAt": {
"type": "string",
"format": "date-time"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"title",
"category",
"priority",
"status",
"firstResponseDueAt",
"resolutionDueAt",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"tickets",
"nextCursor"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCrmTicketListResponse"
}400 Invalid ticket pagination request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 CRM tickets entitlement or membership unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}